org.springframework.dao

## Class ConcurrencyFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.TransientDataAccessException
            - - org.springframework.dao.ConcurrencyFailureException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OptimisticLockingFailureException, PessimisticLockingFailureException

    public class ConcurrencyFailureException
    extends TransientDataAccessException

Exception thrown on concurrency failure.

This exception should be subclassed to indicate the type of failure: optimistic locking, failure to acquire lock, etc.

Since:
  1.1
Author:
  Thomas Risberg
See Also:
  `OptimisticLockingFailureException`, `PessimisticLockingFailureException`, `CannotAcquireLockException`, `DeadlockLoserDataAccessException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConcurrencyFailureException(String msg)` Constructor for ConcurrencyFailureException.
`ConcurrencyFailureException(String msg, Throwable cause)` Constructor for ConcurrencyFailureException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConcurrencyFailureException

    public ConcurrencyFailureException(String msg)

Constructor for ConcurrencyFailureException.

Parameters:
  `msg` - the detail message

#### ConcurrencyFailureException

    public ConcurrencyFailureException(String msg,
                               Throwable cause)

Constructor for ConcurrencyFailureException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the data access API in use